Get Personality

Get Personality
Get a Personality by its id

Get the Personality for id

Request
URI
GET
https://{api_host}/v1/personalities/{personalityId}
COPY
Path Parameters
string
personalityId
Required

Personality ID


Responses
200

Ok

Returns Personality of type(s) application/json
{
    "version": "string",
    "personalityId": "string",
    "personalityName": "string",
    "description": "ESXi 7.0 Dell Personality",
    "createdBy": "string",
    "imageSize": "string",
    "imageChecksum": "string",
    "vsphereExportedZipPath": "string",
    "vsphereExportedIsoPath": "string",
    "vsphereExportedJsonPath": "string",
    "displayName": "ESXi 7.0 Dell Personality",
    "releaseDate": "string",
    "importTimestamp": "string",
    "tags": [
        "string"
    ],
    "kbArticles": "string",
    "softwareInfo": {
        "baseImage": {
            "version": "7.0.0-0.0.30340198",
            "details": {
                "displayName": "7.0.0-0.0.30340198",
                "displayVersion": "string",
                "releaseDate": "string",
                "releaseTimestamp": "string",
                "quickPatchCompatibleVersions": [
                    {
                        "version": "8.0.3-0.0.23174786",
                        "displayVersion": "8.0 Update 3 - 23174786"
                    }
                ]
            }
        },
        "addOn": {
            "version": "2.0-1",
            "name": "DELL-sample-Addon",
            "vendor": "Dell",
            "displayName": "string",
            "displayVersion": "string"
        },
        "components": {
            "components": {
                "version": "1.3.2.8-1OEM.650.0.0.4598673",
                "details": {
                    "vendor": "intel",
                    "displayName": "string",
                    "displayVersion": "string"
                }
            }
        },
        "removedComponents": {
            "removedComponents": {
                "version": "1.3.2.8-1OEM.650.0.0.4598673",
                "details": {
                    "vendor": "intel",
                    "displayName": "string",
                    "displayVersion": "string"
                }
            }
        },
        "hardwareSupport": {
            "packages": {
                "packages": {
                    "pkg": "string",
                    "version": "string"
                }
            }
        }
    }
}
string
version
Read-Only

Personality Version

string
personalityId
Read-Only

Personality id

string As ^[a-zA-Z\d\-]{3,20}$
personalityName
Required

Personality name

string
description
Read-Only

Personality description

string
createdBy
Read-Only

Personality created by

string
imageSize
Read-Only

Personality image size

string
imageChecksum
Read-Only

Personality image checksum

string
vsphereExportedZipPath
Read-Only

Personality depot path

string
vsphereExportedIsoPath
Read-Only

Personality depot path

string
vsphereExportedJsonPath
Read-Only

Personality depot path

string
displayName
Read-Only

Personality displayName

string
releaseDate
Read-Only

Personality Release date

string
importTimestamp
Read-Only

Timestamp of Personality import into SDDC Manager

array of string
tags
Read-Only

Personality tags

string
kbArticles
Read-Only

Personality kb articles

object
softwareInfo
Optional

SoftwareSpec contains base os, components, hardware support, addOn metadata to install/update the appropriate Cloud Foundation software components in your management domain or workload domain.


404

Personality Not Found

Returns Error of type(s) application/json
{
    "errorCode": "string",
    "errorType": "string",
    "arguments": [
        "string"
    ],
    "context": {
        "context": "string"
    },
    "message": "string",
    "remediationMessage": "string",
    "causes": [
        {
            "type": "string",
            "message": "string"
        }
    ],
    "nestedErrors": [
        {
            "errorCode": "string",
            "errorType": "string",
            "arguments": [
                "string"
            ],
            "context": {
                "context": "string"
            },
            "message": "string",
            "remediationMessage": "string",
            "causes": [
                {
                    "type": "string",
                    "message": "string"
                }
            ],
            "nestedErrors": [
                "Error Object"
            ],
            "referenceToken": "string"
        }
    ],
    "referenceToken": "string"
}
string
errorCode
Read-Only

The minor error code

string
errorType
Read-Only

The error type

array of string
arguments
Read-Only

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only

The error context (e.g. the component where it occurred).

string
message
Read-Only

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of object
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.


500

InternalServerError

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Read-Only

The minor error code

string
errorType
Read-Only

The error type

array of string
arguments
Read-Only

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only

The error context (e.g. the component where it occurred).

string
message
Read-Only

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v1/personalities/{personalityId}